felix-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Derricutt <m...@talios.com>
Subject Re: Using maven-scr-plugin under OpenJDK 1.7
Date Tue, 22 Nov 2011 09:47:05 GMT
Neil,

I read this on my phone earlier and immediately slapped myself in the
forehead :)  You're 100% correct, there are multiple JVMs involved.

I'm using the maven toolchain plugin to tell the maven compiler plugin to
use OpenJDK 1.7 for compilation, even tho 1.6 is the JVM actually running
-maven- itself.  I'll grab the sources for both plugins and write up a
patch to use the toolchain plugin if its configured and use the appropriate
JVM ( if possible ).

I'll need to sign and send in an Apache Contrib License form first tho.

At the moment I'm not really wanting to make JDK 7 the primary ( yay OSX! )
as this is just a spike branch, there may be another way of structuring the
build so I might also look at that.

Mark

-- 
"Great artists are extremely selfish and arrogant things" — Steven Wilson,
Porcupine Tree

On Tue, Nov 22, 2011 at 1:54 PM, Neil Bartlett <njbartlett@gmail.com> wrote:

>  Do you have other Java versions installed on the same machine, and is
> it possible that Maven has picked up one of the other ones?
>
> Also, did you compile the Maven SCR plugin locally? It would be
> surprising to me if the binaries for the plugin are being shipped with
> class version 51.0, implying they can only run on Java 7.
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message